Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Interface SemanticController

All Known Implementing Classes:
  DefaultSemanticController

public interface SemanticController

Field Summary
`final static String` | `ERROR_CAN_NOT_CLONE_NODE`
`final static String` | `ERROR_NODE_IS_DUPLICATED`

Method Summary
`boolean` | `canAccept(Compartment compartment, Class c)`
`boolean` | `canAccept(Compartment compartment, DiagramElement de)`
`DiagramElement` | `createInstance(Compartment compartment, Class type, Point point, ViewEditorPane viewEditor)`
`boolean` | `isResizable(DiagramElement diagramElement)`
`Dimension` | `move(Node node, Compartment parent, Dimension offset)` Moves the specified node to the specified position.
`boolean` | `remove(DiagramElement de)` Removes the diagram element and all related edges.

Field Detail

### ERROR_CAN_NOT_CLONE_NODE

    public final static String ERROR_CAN_NOT_CLONE_NODE

### ERROR_NODE_IS_DUPLICATED

    public final static String ERROR_NODE_IS_DUPLICATED

Method Detail

### canAccept

    public boolean canAccept(Compartment compartment, Class c)

### canAccept

    public boolean canAccept(Compartment compartment, DiagramElement de)

### createInstance

    public DiagramElement createInstance(Compartment compartment, Class type, Point point, ViewEditorPane viewEditor)

### isResizable

    public boolean isResizable(DiagramElement diagramElement)

  returns whether a specified diagram element can be resized.

### move

    public Dimension move(Node node, Compartment parent, Dimension offset)
                    throws java.lang.Exception

  Moves the specified node to the specified position. If neccessary compartment can be changed.
  Parameters:
    node - the diagram node
    compartment - compartment where node should be moved
    offset - distance for which node should be moved relative its initial location.
  returns the actual distance on which the node was moved.

### remove

    public boolean remove(DiagramElement de)
                    throws java.lang.Exception

  Removes the diagram element and all related edges.

Association Links

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM